<?php

function get_msgs() {
    $msgs = array();
    foreach (glob(sapp_include_path() . 'locale.*.php') AS $locale_filepath)
        include_once($locale_filepath);
    return $msgs;
}


function msg($name, $locale = null)
{
    static $msgs;
    static $def_locale;

    if (!isset($msgs))
        $msgs = get_msgs();

    if (!isset($def_locale)) {
        $def_locale = $msgs['default'];
    }

    if (null == $locale)
        $locale = sapp_get_locale();

    if (!isset($msgs[$locale])) {
        $locale = $def_locale;
    }

    if (isset($msgs[$locale][$name]))
        return $msgs[$locale][$name];
    elseif (isset($msgs[$def_locale][$name]))
        return $msgs[$def_locale][$name];
    else
        return $name;
}


function get_theme()
{
    return array (	
        "Classic" => msg("Classic"),
        "clean" => msg("clean"),
        "Digital_Monochrome" => msg("Digital_Monochrome"),
        "gameserver" => msg("gameserver"),
        "professional" => msg("professional"),
        "Smooth_Blue" => msg("Smooth_Blue"),
        "XSilver" => msg("XSilver"),
        "Yahoo" => msg("Yahoo"),

    );
}
					function get_lang()
{
    return array (
	"bulgarian" => msg("bulgarian"),
	"chinese_big5" => msg("chinese_big5"),
	"chinese_gb2312" => msg("chinese_gb2312"),
	"chinese_simplified_utf-8" => msg("chinese_simplified_utf-8"),
	"chinese_traditional_utf-8" => msg("chinese_traditional_utf-8"),
	"croatian" => msg("croatian"),
	"croatian_utf-8" => msg("croatian_utf-8"),
	"czech" => msg("czech"),
	"danish" => msg("danish"),
	"dutch" => msg("dutch"),
	"english" => msg("english"),
	"english_utf-8" => msg("english_utf-8"),
	"finnish" => msg("finnish"),
	"finnish_utf-8" => msg("finnish_utf-8"),
	"french_canada" => msg("french_canada"),
	"french_france" => msg("french_france"),
	"german_formal" => msg("german_formal"),
	"german" => msg("german"),
	"german_utf-8" => msg("german_utf-8"),
	"hebrew" => msg("hebrew"),
	"hellenic" => msg("hellenic"),
	"italian" => msg("italian"),
	"japanese" => msg("japanese"),
	"japanese_utf-8" => msg("japanese_utf-8"),
	"norwegian" => msg("norwegian"),
	"polish" => msg("polish"),
	"portuguese_brazil" => msg("portuguese_brazil"),
	"portuguese" => msg("portuguese"),
	"romanian" => msg("romanian"),
	"russian" => msg("russian"),
	"slovak" => msg("slovak"),
	"slovenian" => msg("slovenian"),
	"spanish_argentina" => msg("spanish_argentina"),
	"spanish" => msg("spanish"),
	"swedish" => msg("swedish"),
	"turkish" => msg("turkish"),

    );
}
									    

?>